com.amazonaws.services.cloudfront

## Class CloudFrontCookieSigner.CookiesForCannedPolicy

- java.lang.Object
- - com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies
  - - com.amazonaws.services.cloudfront.CloudFrontCookieSigner.CookiesForCannedPolicy

Enclosing class:
  CloudFrontCookieSigner

    public static class CloudFrontCookieSigner.CookiesForCannedPolicy
    extends CloudFrontCookieSigner.SignedCookies

Contains the cookies used to access restricted content from CloudFront using a canned policy

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies

`CloudFrontCookieSigner.SignedCookies.CookieKeyValuePair`

### Field Summary

Fields
`Map.Entry<String,String>` `expires`

### Fields inherited from class com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies

`keyPairId, signature`

### Constructor Summary

Constructors
Constructor and Description
`CookiesForCannedPolicy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map.Entry<String,String>` `getExpires()`
`void` `setExpires(String expires)`

### Methods inherited from class com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies

`getKeyPairId, getSignature, setKeyPairId, setSignature`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### expires

    public Map.Entry<String,String> expires

### Constructor Detail

#### CookiesForCannedPolicy

    public CookiesForCannedPolicy()

### Method Detail

#### getExpires

    public Map.Entry<String,String> getExpires()

#### setExpires

    public void setExpires(String expires)